Skip to main content
GET
/
business_metrics
Get all business metrics
curl --request GET \
  --url https://api.vantage.sh/v2/business_metrics \
  --header 'Authorization: Bearer <token>'
{
  "business_metrics": [
    {
      "token": "bsnss_mtrc_124dc3483510ac35",
      "title": "Business Metric",
      "created_by_token": "usr_80447a58ff9821dd",
      "cost_report_tokens_with_metadata": [],
      "import_type": "csv",
      "integration_token": ""
    },
    {
      "token": "bsnss_mtrc_2534c89d90b714f7",
      "title": "AWS Metric",
      "created_by_token": "usr_752202a1bb7c9a70",
      "cost_report_tokens_with_metadata": [],
      "import_type": "cloudwatch",
      "integration_token": "accss_crdntl_742fd1207f8b6816",
      "cloudwatch_fields": {
        "stat": "Maximum",
        "region": "us-east-1",
        "namespace": "AWS/EC2",
        "metric_name": "CPUUtilization",
        "dimensions": [
          {
            "name": "InstanceId",
            "value": "i-06105d0faad66r97"
          }
        ],
        "label_dimension": null
      }
    },
    {
      "token": "bsnss_mtrc_c11f0f8dea953e92",
      "title": "Datadog Metric",
      "created_by_token": "usr_604fcaa892a23fe9",
      "cost_report_tokens_with_metadata": [],
      "import_type": "datadog_metrics",
      "integration_token": "accss_crdntl_e0e11192748e69bb",
      "datadog_metric_fields": {
        "query": "avg:system.cpu.user{*}.rollup(avg, daily)"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer<int32>

The page of results to return.

limit
integer<int32>

The amount of results to return. The maximum is 1000.

Response

200 - application/json

BusinessMetrics model

business_metrics
object[]
required